Bug 443269 - asymptote.pdf manual pictures are, ahem, underwhelming
asymptote.pdf manual pictures are, ahem, underwhelming
Product: Fedora
Classification: Fedora
Component: asymptote (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-19 19:39 EDT by Michal Jaegermann
Modified: 2008-05-13 11:29 EDT (History)
0 users

See Also:
Fixed In Version: 1.42-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-13 11:29:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-04-19 19:39:33 EDT
Description of problem:

Pictures from /usr/share/doc/asymptote-1.42/asymptote.pdf are full
of "jaggies".  For somebody who does not know better that would be
an excellent reason not to touch this software at all.

Let me guess - pictures were produced by asymptote as .jpg or .png
in a default screen density and included as graphics in pdf(la)tex
run to write asymptote.pdf.  Right?

It apppers that one of the following options could be used to prevent
that nasty effect:
  - write pictures as .eps and use (la)tex -> dvips -> ps2pdf route to
    create asymptote.pdf
  - produce manual graphics in a pdf format and include those instead
  - use custom 'convert' with much higher density than a default one
    if .png, or .jpg, pictures are really needed (see pages 144 and 145
    of the pdf file in question for details).

If I am guessing correctly then the second option would be likely the
easiest one.

Version-Release number of selected component (if applicable):
Comment 1 Michal Jaegermann 2008-04-19 21:27:19 EDT
Now I am quite confused.  I grabbed asymptote-1.42-2.fc9.src.rpm
and configured that enough to be able to type 'make asymptote.pdf'
in a 'doc' subdirectory of build.  That indeed used pdf graphics,
produced smaller asymptote.pdf file that the one from a binary package
(1458743 bytes vs. 1837242) and all pictures inside, even after a zoom
to 400%, look sharp.  Something went askew in a build process.

Rebuilt CAD.pdf and /usr/share/doc/asymptote-1.42/CAD.pdf are of
the same size (67444 bytes).
Comment 2 Tom "spot" Callaway 2008-04-25 16:52:38 EDT
Weird. make install calls "make doc", which doesn't actually call "make pdf". As
far as I can tell, the PDF I was packaging is what gets generated by the make
doc process, which is producing png and passing all of that to pdftex.

Adding make pdf in there resolves it, I'll commit that to rawhide and in F-9.
Comment 3 Michal Jaegermann 2008-04-25 21:21:29 EDT
> Weird....

I have to admit that I did not review Makefiles or went through
the whole build process.  I only tried what would happen after
I typed 'make asymptote.pdf' with configured sources and a copy
of 'asy' available in the "right" place.

Thanks for taking care.
Comment 4 Tom "spot" Callaway 2008-04-26 08:10:32 EDT
Confirmed that 1.42-3 fixes this issue. When F-9 releases, I'll push 1.42-3 as
an update (this really doesn't merit a freeze break, IMHO). It is also in rawhide.

Thanks for the report.
Comment 5 Fedora Update System 2008-04-29 13:50:41 EDT
asymptote-1.42-3.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-05-13 11:29:12 EDT
asymptote-1.42-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.